> For the complete documentation index, see [llms.txt](https://docs.riskbase.uk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.riskbase.uk/riskbase-docs/api/webhooks/failed-requests.md).

# Failed Requests

Your server should respond to webhook requests with a `2xx` response within 4 seconds. If your server takes longer than 4 seconds, RiskBase will terminate the connection and consider the request a failure. In order to respond within the timeout, we recommend simply storing the request's payload and returning `2xx`; dealing with the payload should be queued to run as a separate job.

On a failure, RiskBase will retry 4 more times:

* if the first attempt fails, RiskBase will retry 2 minutes later
* if the second attempt fails, RiskBase will retry 4 minutes later
* if the third attempt fails, RiskBase will retry 8 minutes later
* if the fourth attempt fails, RiskBase will retry 10 minutes later


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.riskbase.uk/riskbase-docs/api/webhooks/failed-requests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
